Skip to main content
GET
/
v1
/
automations
List Automations
curl --request GET \
  --url https://api.replicas.dev/v1/automations \
  --header 'Authorization: Bearer <token>'
{
  "automations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "triggers": [
        {
          "type": "cron",
          "config": {
            "schedule": "0 9 * * 1-5",
            "timezone": "America/New_York"
          }
        }
      ],
      "prompt": "<string>",
      "repository_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "repository_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "enabled": true,
      "cron_expression": "<string>",
      "cron_timezone": "<string>",
      "cron_next_fire_at": "2023-11-07T05:31:56Z",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_lifecycle_policy": "default",
      "workspace_auto_stop_minutes": 721,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 100

Response

Successful response

Paginated list of automations

automations
object[]
required
total
integer
required

Total number of automations

page
integer
required

Current page number

limit
integer
required

Number of items per page

totalPages
integer
required

Total number of pages